Main Page Class Hierarchy Compound List File List Compound Members

# TiXmlUnknown Class Reference

Any tag that tinyXml doesn't recognize is saved as an unknown. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlUnknown:

List of all members.

## Public Methods

virtual TiXmlNode * | Clone () const
| Creates a copy of this Unknown and returns it.
virtual void | Print (FILE *cfile, int depth) const
| Print this Unknown to a FILE stream.

## Detailed Description

Any tag that tinyXml doesn't recognize is saved as an unknown.

It is a tag of text, but should not be modified. It will be written back to the XML, unchanged, when the file is saved.

DTD tags get thrown into TiXmlUnknowns.

The documentation for this class was generated from the following file:

- tinyxml.h